APIs / Geizhals / Price History

Geizhals: Price History

Price History from Geizhals as JSON. 1 credit per successful call.

GET /v1/geizhals/price-history

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
product_idintegerRequiredAny
daysintegerOptionalAny
locstringOptionalde, at, eu, pl, uk

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/geizhals/price-history?product_id=2194110&days=31&loc=de" \
  -H "X-API-Key: $API_KEY"

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.